Subject: [PATCH 00/12] rtc: omap: fixes and power-off feature

From: [email-masked] (Johan Hovold)
Date: Wed, 22 Oct 2014 13:07:58 +0200

On Sat, Oct 11, 2014 at 12:08:18PM -0700, Tony Lindgren wrote:
> * Johan Hovold <[email-masked]> [141011 02:42]:
> > On Fri, Oct 10, 2014 at 12:54:22PM -0500, Felipe Balbi wrote:
> > > 
> > > is this power-off feature "RTC-only mode" ?
> > 
> > Yes, I believe so, at least as long as RTC power is maintained. The
> > pmic_power_en pin can otherwise still be used to power off. 
> > 
> > On the BeagleBone the PMIC can be configured to enter OFF or SLEEP mode
> > on power off, where the latter (and default) mode keeps the RTC power
> > supply enabled.
> > 
> > Thanks for the fast review, Felipe.
> 
> Great :) I assume adding the regulator support to this driver should
> also help in the 35xx case?

If I remember correctly both OMAP and Sitara 35xx have no on-chip RTC so
they won't be using this driver.

> That is assuming that RTC power can be configured as a Linux
> regulator on 35xx.

Johan